Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites". Attention, le forum rencontre actuellement quelques difficultés. En cas d'erreur 502, il ne faut pas re-valider l'envoi d'un message ou l'ouverture d'une discussion, au risque de créer un doublon.

La section divers se réorganise ! De nouvelles sous-sections à venir. (plus d'infos + donner son avis)

#1 Le 02/05/2005, à 15:21

Dess

installer samba 2.2.8 a la place de samba 3

Bonjour

Je voudrais en fait installer samba 2.2.8 avec certaines options à la place de samba3.
Mais a l install d'ubuntu il installe directement samba-common 3.0.7.Et si qd je veux desintaller samba-common il desinstalle aussi ubuntu-desktop
Comment pourrais je faire pour pouvoir installer samba2?

Merci d'avance

Hors ligne

#2 Le 02/05/2005, à 21:51

nikko

Re : installer samba 2.2.8 a la place de samba 3

Ubuntu-desktop à besoin de smbclient (à priori peu importe la version) qui a besoin de samba-common.

Le plus simple (si ça marche tongue) serait d'ajouter les sources de debian stable et d'installer une version inférieure (la 2.2.3 en fait et non la 2.2.8).
Le plus compliqué serait de générer un faux paquet fournissant smbclient, de désinstaller la version 3 de smbclient et samba-common et d'installer samba 2.2.8 à partir des sources.

Pour être plus précis:

la solution debian/stable:

Rajouter les sources suivantes à /etc/apt/sources.list:

deb ftp://ftp.proxad.net/debian/ stable main contrib
deb http://security.debian.org/ stable/updates main contrib

Ouvrir le gestionnaire de paquets:

sudo synaptic

Chercher samba-common et forcer la version 2.2.3 (ctrl+e ou Menu Paquet-->Forcer la version). Il devrait aussi passer smbclient en 2.2.3.

La solution equivs;
equivs est un paquet qui permet de générer des faux paquets ou des meta-paquets (comme ubuntu-desktop wink).

Installer equivs.

Taper en console :

equivs-control smbclient-fake

Ca génère un fichier smbclient-fake décrivant le faux paquet:

Section: misc
Priority: optional
Standards-Version: 3.5.10

Package: <enter package name; defaults to equivs-dummy>
Version: <enter version here; defaults to 1.0>
Maintainer: Your Name <yourname@foo.com>
Pre-Depends: <packages>
Depends: <packages>
Recommends: <packages>
Suggests: <package>
Provides: <(virtual)package>
Architecture: all
Copyright: <copyright file; defaults to GPL2>
Changelog: <changelog file; defaults to a generic changelog>
Readme: <README.Debian file; defaults to a generic one>
Extra-Files: <additional files for the doc directory, commaseperated>
Description: <short description; defaults to some wise words> 
 long description and info
 .
 second paragraph

l faut éditer ce fichier et remplacer les parties balisées, ou supprimer celles qu'on peut laisser à la valeur par défaut:

Section: misc
Priority: optional
Standards-Version: 3.5.10

Package: smbclient-fake
Version: 1.0
Maintainer: Nicolas Bourdais <nbourdais@foo.com>
Provides: smbclient
Architecture: all
Description: Paquets simulant smbclient
 Utilisez ce paquet pour pouvoir ce débarraser de smbclient 3 et installer samba 2

(le blanc devant  Utilisez et important)

Ensuite construire le faux paquet:

equivs-build smbclient-fake

Et installer le paquet deb généré.

Normalement tu devrais ensuite pouvoir te débarrasser de samba 3 sans que ubuntu-desktop ne bronche.

Pour l'install de samba 2, ça ira?

Nicolas

Dernière modification par nikko (Le 02/05/2005, à 21:52)

Hors ligne

#3 Le 03/05/2005, à 08:36

Dess

Re : installer samba 2.2.8 a la place de samba 3

Salut nico,

J'ai un problème qd je veux mettre la source suivante deb ftp://ftp.proxad.net/debian/ stable main contrib.
Il me dit qu'il y a une erreur

tu ne sais pas comment résoudre cela

car je n'ai tjs pas le paquet samba 2

Encore merci

a bientot

Hors ligne

#4 Le 03/05/2005, à 09:14

cep

Re : installer samba 2.2.8 a la place de samba 3

ftp:/ftp.fr.debian.org/debian/
et éventuellement
http://security.debian.org/

Hors ligne

#5 Le 03/05/2005, à 09:50

Dess

Re : installer samba 2.2.8 a la place de samba 3

je n'arrive qd meme pas a voir le package samba 2 dans mon synaptic
j'ai tjs le samba 3

Comment faire pour installer samba 2

Hors ligne

#6 Le 03/05/2005, à 10:15

cep

Re : installer samba 2.2.8 a la place de samba 3

Dess a écrit :

je n'arrive qd meme pas a voir le package samba 2 dans mon synaptic

Après avoir rajouté ces dépôts ?
Tu as actualisé ?
Pourtant samba 2.2.3a et les security sont dans debain stable.

Hors ligne

#7 Le 03/05/2005, à 10:27

Dess

Re : installer samba 2.2.8 a la place de samba 3

oui j'ai rajoute ces depots et j'ai bien reinitialise et je vois tjs samba 3.0.7 et pas de samba 2

Hors ligne

#8 Le 03/05/2005, à 10:40

Dess

Re : installer samba 2.2.8 a la place de samba 3

comme depots j'ai rajoute:
URI:ftp://ftp.fr.debian.org/debian/
Distribution: stable
catégorie: main contrib
URI:http://security.debian.org/
Distribution: stable/updates
catégorie: main contrib

Hors ligne

#9 Le 03/05/2005, à 10:53

cep

Re : installer samba 2.2.8 a la place de samba 3

ftp://ftp.fr.debian.org/debian/dists/stable/ChangeLog  pour vérifier.

Ou voir :
ftp://ftp.samba.org/pub/samba/Binary_Packages/Debian/dists/stable/main/binary-i386/ et choisir...

Hors ligne

#10 Le 03/05/2005, à 11:08

Dess

Re : installer samba 2.2.8 a la place de samba 3

Et si je télécharge smaba-common 2.2.8.deb et que je fais un dpkg -i samba-common 2.2.8.deb tu crois qu'il le remplacera par la version 2?
Car je n'ai tjs pas le choix ds synaptic

Hors ligne

#11 Le 03/05/2005, à 11:43

cep

Re : installer samba 2.2.8 a la place de samba 3

là je comprends plus smile
2.2.3 ou 2.2.8 ou 2.2.10 c'est toujours la version 2.
Tu veux la version 2.0 ? et en deb ?
Je ne pense pas que tu la trouves encore.
Va voir sur le site de samba.

Hors ligne

#12 Le 03/05/2005, à 12:58

Dess

Re : installer samba 2.2.8 a la place de samba 3

En fait j'ai un tuto pour monter une authentification unique des utilisateurs.
Et ds ce tuto il utilise la version 2.2.8.
Et qd je fais l installe de samba il me fais chier car il y a la version 3.0.7 qui est installee
C'est pour cela que j'aimerais bien virrer la version 3.0.7 et mettre la 2.2.8

Hors ligne

#13 Le 04/05/2005, à 16:33

Mickael

Re : installer samba 2.2.8 a la place de samba 3

Bonjour,
Et tu ne peux pas adapter le tutorial à la version 3 de samba ? il n'y a pas TANT de differences que ca, je veux dire au niveau du smb.conf
Au revoir et bon courage.


Cordialement.

Hors ligne

Haut de page ↑